Subject: [MBONED] mboned: v4v6-mcast-ps / multrans-addr-aquisition Questions

From: Toerless Eckert <[email-masked]>
Date: Wed, 16 Oct 2013 15:08:26 -0700

I wonder if any of this work around these two drafts has resulted in any
of the solution options becoming more favored by customers who would want to
deploy them ? 

Also: Am i missing something or are all of these options effectively asking for
development on some network element to translate IPv4 multicast pakets
into ipv6 (and theoretically long term the other way around). Aka: beside
the somewhat irrelevant case of transiting a different-AF domain through tunneling
(for which three should be enough solutions), this is what all the methods described
boil down to, right ?

I am asking because i wonder if there isn't any interest in trying to solve this
problem without waiting for that quite laborsome network work and standardization thereof. 

As in: If the primary issue is additional clients without IPv4 addresses deployed
in an environment where the broadcast content is IPv4 only IP multicast,
then why are we not at least listing and maybe even invetigating the options to just get
that IPv4 multicast content into those IPv6 only receivers without translation ? Maybe i am
overlooking something, but i don't see this being discussed.

The immediate idea of course is to just run the clent IGMPv3 stack with
IPv4 address 0.0.0.0 on the IPv6 only receiver which is perfectly valid in
RFC3376. And the same is true for IGMP proxy routing on the home-gateway
No IPv4 addresses needed to do this.

Practically, i am not sure if Win/Mac/Android/iOS host stacks will send
IGMPv3 memberships without an IP address assigned, so one workaround
necessary on those OSs today may be to simply assign an rfc3927 link local IPv4
address if one wants to receive IPv4 multicast on an IPv6 only client with
such an OS. 

And if the IGMPV3 proxy routingg on the home-gateway has similar issues
to perfrom IGMPv3 proxy routing without any IPv4 configued, then just
also use link-local scope addresses there. For quite a time i can not
really see how a larger home-network would not be run without at least
dual-stack within the home because there are too many IPv4 only devices
out there. So i bet that there must be a working solution already where
the LAN uses IPv6 and rfc1918 IPv4 and that would also solve the
host-stack or home-gateway problems in forwarding IPv4 multicast.

Again: I think there is a perfectly clean solution that does not require
any IPv4 addresses but just address 0.0.0.0 and there seem to me enough
options to make it work with likely mixed IPv4+IPv6 deployment scenarious
in the home anyhow.

Just wondering what others think.

Cheers
    Toerless